<!--<section class="content">-->

<!--&lt;!&ndash;  &lt;!&ndash; Default box &ndash;&gt;&ndash;&gt;-->
<!--&lt;!&ndash;  <div class="row d-flex align-items-stretch">&ndash;&gt;-->
<!--&lt;!&ndash;    <div class="col-12 col-sm-6 col-md-4 d-flex align-items-stretch">&ndash;&gt;-->
<!--&lt;!&ndash;      &ndash;&gt;-->
<!--&lt;!&ndash;    </div>&ndash;&gt;-->

<!--&lt;!&ndash;  </div>&ndash;&gt;-->
<!--&lt;!&ndash;  &lt;!&ndash; /.card &ndash;&gt;&ndash;&gt;-->
<!--  <div class="card bg-light">-->
<!--    <div class="card-header text-muted border-bottom-0">-->
<!--      Avatar card-->
<!--    </div>-->
<!--    <div class="card-body pt-0">-->
<!--      <div class="row">-->
<!--        <div class="col-7">-->
<!--          <h2 class="lead"><b>{{user.username}}</b></h2>-->
<!--          <p class="text-muted text-sm"><b>FirstName: </b> {{user.firstName}} </p>-->
<!--          <p class="text-muted text-sm"><b>LastName: </b> {{user.lastName}} </p>-->

<!--          <p class="text-muted text-sm"><b>About: </b> Web Designer / UX  </p>-->
<!--          <ul class="ml-4 mb-0 fa-ul text-muted">-->
<!--            <li class="small"><span class="fa-li"><i class="fas fa-lg fa-building"></i></span> Address: {{user.address}}</li>-->
<!--            <li class="small"><span class="fa-li"><i class="fas fa-lg fa-phone"></i></span> Phone : + 216 | {{user.tel}}</li>-->
<!--          </ul>-->
<!--        </div>-->
<!--        <div class="col-5 text-center">-->
<!--          <img [src]="retrievedImage" alt="" class="img-circle img-fluid">-->
<!--        </div>-->
<!--      </div>-->
<!--    </div>-->
<!--    <div class="card-footer">-->
<!--      <div class="text-right">-->
<!--        <a [routerLink]="['/chat', user.username]" class="btn btn-sm bg-teal">-->
<!--          <i class="fas fa-comments"></i>-->
<!--        </a>-->
<!--        <a href="#" class="btn btn-sm btn-primary">-->
<!--          <i class="fas fa-user"></i> View Profile-->
<!--        </a>-->
<!--      </div>-->
<!--    </div>-->
<!--  </div>-->
<!--</section>-->
<!--AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA-->


<!--<div class="card bg-light d-flex flex-fill" style="margin: -24px;">-->
<!--  <div class="card-header text-muted border-bottom-0">-->
<!--    {{user.username}}-->
<!--  </div>-->
<!--  <div class="card-body pt-0">-->
<!--    <div class="row">-->
<!--      <div class="col-7">-->
<!--        <h2 class="lead"><b>{{user.firstName}} {{user.lastName}}</b></h2>-->
<!--        <p class="text-muted text-sm"><b>About: </b> Web Designer / UX / Graphic Artist / Coffee Lover </p>-->
<!--        <ul class="ml-4 mb-0 fa-ul text-muted">-->
<!--          <li class="small"><span class="fa-li"><i class="fas fa-lg fa-building"></i></span> Address: {{user.address}}</li>-->
<!--          <li class="small"><span class="fa-li"><i class="fas fa-lg fa-phone"></i></span> Phone #: {{user.tel}} </li>-->
<!--        </ul>-->
<!--      </div>-->
<!--      <div class="col-5 text-center">-->
<!--        <img [src]="retrievedImage" alt="user-avatar" class="img-circle img-fluid">-->
<!--      </div>-->
<!--    </div>-->
<!--  </div>-->
<!--  <div class="card-footer">-->
<!--    <div class="text-right">-->
<!--      <a [routerLink]="['/discussion', user.username]" class="btn btn-sm bg-primary">-->
<!--        <i class="fas fa-comments"></i>-->
<!--      </a>-->
<!--&lt;!&ndash;      <a href="#" class="btn btn-sm btn-primary">&ndash;&gt;-->
<!--&lt;!&ndash;        <i class="fas fa-user"></i> View Profile&ndash;&gt;-->
<!--&lt;!&ndash;      </a>&ndash;&gt;-->
<!--    </div>-->
<!--  </div>-->
<!--</div>-->

<div class="card card-widget widget-user" style="margin: -24px;stroke: white;stroke-width: 20px">
  <!-- Add the bg color to the header using any of the bg-* classes -->
  <div class="widget-user-header bg-blue">
    <h3 class="widget-user-username">{{user.firstName | titlecase }} {{user.lastName | titlecase }}</h3>
    <h4 class="widget-user-desc">{{user.profession}}</h4>
  </div>
  <div class="widget-user-image">
    <img class="img-circle elevation-2" [src]="retrievedImage" alt="" >
  </div>
  <div class="card-footer">
    <div class="row">
<!--      <div class="col-sm-4 border-right">-->
<!--        <div class="description-block">-->
<!--          <h5 class="description-header">3,200</h5>-->
<!--          <span class="description-text">SALES</span>-->
<!--        </div>-->
<!--        &lt;!&ndash; /.description-block &ndash;&gt;-->
<!--      </div>-->
      <!-- /.col -->
      <div class="col-sm-4 border-right" >
        <div class="description-block">
          <h5 class="description-header">{{getFinishedMissions(user.email)}}</h5>
          <span class="description-text">Missions</span>
        </div>
        <!-- /.description-block -->
      </div>
      <!-- /.col -->
      <div class="col-sm-4">
        <div class="description-block">
          <h5 class="description-header">{{user.ratingcount}}</h5>
          <span class="description-text">EVALUATIONS</span>
        </div>
        <!-- /.description-block -->
      </div>
      <div class="col-sm-4 border-left" >
        <div class="description-block">
          <h5 class="description-header">
            <ng-template #t let-fill="fill">
  <span class="star" [class.full]="fill === 100">
    <span class="half" [style.width.%]="fill">&#9733;</span>&#9733;
  </span>
            </ng-template>

            <ngb-rating [(rate)]="user.rating" [starTemplate]="t" [readonly]="true" [max]="5"></ngb-rating>
          </h5>
          <span class="description-text">RATING</span>
        </div>
        <!-- /.description-block -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>
</div>
